SSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.SSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface SSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SSLSettings

extends LogicalElement

Naming Rules:
  0="parent,keyFile"
Persistable:
  true
Table Name:
  SSLSTNG
Display Name:
  keyFile

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAcceptSSLSiteCertificates()`
`java.lang.String` | `getExpiredSSLSiteCertificates()`
`java.lang.String` | `getKeyFile()`
`DominoServer` | `getParent()`
`java.lang.String` | `getSSLProtocolVersion()`
`boolean` | `hasAcceptSSLSiteCertificates()`
`boolean` | `hasExpiredSSLSiteCertificates()`
`boolean` | `hasKeyFile()`
`boolean` | `hasParent()`
`boolean` | `hasSSLProtocolVersion()`
`void` | `setAcceptSSLSiteCertificates(java.lang.String ssl)`
`void` | `setExpiredSSLSiteCertificates(java.lang.String ssl)`
`void` | `setKeyFile(java.lang.String keyFile)`
`void` | `setParent(DominoServer server)`
`void` | `setSSLProtocolVersion(java.lang.String ver)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer server)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### hasParent

    boolean hasParent()

### setKeyFile

    void setKeyFile(java.lang.String keyFile)

### getKeyFile

    java.lang.String getKeyFile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasKeyFile

    boolean hasKeyFile()

### setSSLProtocolVersion

    void setSSLProtocolVersion(java.lang.String ver)

### getSSLProtocolVersion

    java.lang.String getSSLProtocolVersion()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLProtocolVersion

    boolean hasSSLProtocolVersion()

### setAcceptSSLSiteCertificates

    void setAcceptSSLSiteCertificates(java.lang.String ssl)

### getAcceptSSLSiteCertificates

    java.lang.String getAcceptSSLSiteCertificates()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAcceptSSLSiteCertificates

    boolean hasAcceptSSLSiteCertificates()

### setExpiredSSLSiteCertificates

    void setExpiredSSLSiteCertificates(java.lang.String ssl)

### getExpiredSSLSiteCertificates

    java.lang.String getExpiredSSLSiteCertificates()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasExpiredSSLSiteCertificates

    boolean hasExpiredSSLSiteCertificates()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD